Bug 243142 - sysutils/arcconf: Update to 3.01.23531_2
Summary: sysutils/arcconf: Update to 3.01.23531_2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-06 22:24 UTC by thomas
Modified: 2020-06-28 13:47 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (michael)
thomas: maintainer-feedback+


Attachments
arcconf diff (953 bytes, patch)
2020-01-06 22:24 UTC, thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description thomas 2020-01-06 22:24:50 UTC
Created attachment 210490 [details]
arcconf diff

Make arcconf port more robust against unsupported gcc versions. 

This port needs at least gcc 4.8. Since 4.8 is already deprecated, we should better use the default gcc version as definied in bsd-default-versions.mk

Changes:
Update Makefile to use current version of GCC as defined in bsd.default-versions.mk. (USE_GCC=yes)
Update Makefile with LICENSE and LICENSE_PERMS information and remove RESTRICTED and NO_CDROM (redundant)
Update Makefile PORTREVISION
Comment 1 Automation User 2020-01-07 00:15:22 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/107393015
Comment 2 michael 2020-01-12 21:02:30 UTC
looks good, please commit
Comment 3 commit-hook freebsd_committer 2020-06-28 13:47:37 UTC
A commit references this bug:

Author: lwhsu
Date: Sun Jun 28 13:46:41 UTC 2020
New revision: 540710
URL: https://svnweb.freebsd.org/changeset/ports/540710

Log:
  Robustness fix and license updates

  - Update Makefile to use current version of GCC as defined in
    bsd.default-versions.mk. (USE_GCC=yes)
  - Update Makefile with LICENSE and LICENSE_PERMS information and remove
    RESTRICTED and NO_CDROM (redundant)
  - Update Makefile PORTREVISION

  While here, pet portlint

  PR:		243142
  Submitted by:	thomas@bsdunix.ch
  Approved by:	michael@fuckner.net (maintainer)

Changes:
  head/sysutils/arcconf/Makefile
  head/sysutils/arcconf/pkg-plist